AMQPExchange
AMQPExchange::__construct
AMQPExchange
PHP Manual

# AMQPExchange::bind

Bind to another exchange

### Description

public bool AMQPExchange::bind ( string `$destination_exchange_name` , string `$source_exchange_name` , string `$routing_key` )

Bind an exchange to another exchange using the specified routing key.

### Parameters

`destination_exchange_name`

  The name of the destination exchange in the binding.

`source_exchange_name`

  The name of the source exchange in the binding.

`routing_key`

  The routing key to use as a binding.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Errors/Exceptions

Throws AMQPExchangeException on failure.

Throws AMQPChannelException if the channel is not open.

Throws AMQPConnectionException if the connection to the broker was lost.